## yaml-cpp 0.6.3

=== debian/changelog ===
yaml-cpp (0.6.3-7+rpi1) bullseye-staging; urgency=medium

  [changes brought forward from 0.6.2-4+rpi1 by Peter Michael Green <plugwash@raspbian.org> at Fri, 18 Jan 2019 20:49:45 +0000]
  * Update symbols file for raspbian.

 -- Raspbian forward porter <root@raspbian.org>  Tue, 19 May 2020 08:30:53 +0000

yaml-cpp (0.6.3-7) unstable; urgency=medium

  * Team upload
  [ Adrian Bunk ]
  * From Adrian Bunk, fix other c++ symbols that broke ABI
    (Closes: #959201)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 13 May 2020 19:26:42 +0200

yaml-cpp (0.6.3-6) unstable; urgency=medium

  * Ack NMUs, thanks a bunch Gianfranco!
    - Add him as a co-maintainer so he doesn't have to grandfather in team
      uploads.

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 10 May 2020 14:15:46 -0500

yaml-cpp (0.6.3-5) unstable; urgency=medium

  * Team upload.
  [ Helmut Grohne ]
  * Fix FTCBFS (Closes: #843918)
    + Let dh_auto_configure pass cross flags
    + Honour DEB_BUILD_OPTIONS=nocheck

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 09 May 2020 17:34:48 +0200

yaml-cpp (0.6.3-4) unstable; urgency=medium

  * Team upload (salsa.d.o namespace)
  * Use -g1 optimization level to fix FTBFS on mipsel

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 May 2020 23:34:57 +0200

yaml-cpp (0.6.3-3) unstable; urgency=medium

  * Team upload (salsa.d.o namespace)
  * Lower mipsel build to parallel=1

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 May 2020 19:17:53 +0200

yaml-cpp (0.6.3-2) unstable; urgency=medium

  * Team upload (salsa.d.o namespace)
  * Fix mipsel build by lowering to parallel=2 there (Closes: #959402)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 May 2020 15:42:46 +0200

yaml-cpp (0.6.3-1.2) unstable; urgency=medium

  * Non-maintainer upload.
  * Update also symbols file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 May 2020 14:15:10 +0200

yaml-cpp (0.6.3-1.1) unstable; urgency=medium

  * Non-maintainer upload
  * Revert ABI changes in new release (Closes: #959201)
    - debian/patches/revert-774f25800e6f19f4b927023c85d1389af322da5e.patch:

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 08 May 2020 13:15:00 +0200

yaml-cpp (0.6.3-1) unstable; urgency=medium

  * New upstream release (Closes: #958505).
    - Refresh patches.
    - BUILD_SHARED_LIBS -> YAML_BUILD_SHARED_LIBS cmake flag.
    - Update symbols from amd64 build log.
  * Add the following CVE patches:
    - fix-CVE-2017-11692.patch
      + Fixes CVE-2017-11692 (Closes: #870326).
    - fix-unbounded-recursion-depth.patch
      + Fixes CVE-2017-5950 (Closes: #859891).
      + Fixes CVE-2018-20573 (Closes: #918147).
      + Fixes CVE-2018-20574 (Closes: #918145).
      + Fixes CVE-2019-6285 (Closes: #919432, 919430).
  * Migrate to using the debhelper-compat dependency.
  * Bump Standards-version to 4.5.0, no changes needed.
  * Migrate to debhelper 13.

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 29 Apr 2020 20:24:07 -0500

=== debian/control ===
Source: yaml-cpp
Maintainer: Simon Quigley <tsimonq2@debian.org>
Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
Section: devel
Priority: optional
Build-Depends: cmake, debhelper-compat (= 13)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/debian/yaml-cpp
Vcs-Git: https://salsa.debian.org/debian/yaml-cpp.git
Homepage: https://github.com/jbeder/yaml-cpp

Package: libyaml-cpp0.6
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: YAML parser and emitter for C++
 yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
 human-readable data serialization format.
 .
 This package provides run-time library of yaml-cpp.

Package: libyaml-cpp-dev
Architecture: any
Section: libdevel
Depends: libyaml-cpp0.6 (= ${binary:Version}), ${misc:Depends}
Description: YAML parser and emitter for C++ - development files
 yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
 human-readable data serialization format.
 .
 This package provides development files of yaml-cpp.

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

DEB_HOST_MULTIARCH ?= $(shell dpkg-architecture -qDEB_HOST_MULTIARCH)

CPPFLAGS :=$(shell dpkg-buildflags --get CPPFLAGS)
ifneq (,$(filter $(DEB_BUILD_ARCH),mipsel))
    CFLAGS   :=$(shell dpkg-buildflags --get CFLAGS) -g1
    CXXFLAGS :=$(shell dpkg-buildflags --get CXXFLAGS) -g1
else
    CFLAGS   :=$(shell dpkg-buildflags --get CFLAGS)
    CXXFLAGS :=$(shell dpkg-buildflags --get CXXFLAGS)
endif
LDFLAGS  :=$(shell dpkg-buildflags --get LDFLAGS)

export DEB_HOST_MULTIARCH CPPFLAGS CFLAGS CXXFLAGS LDFLAGS

ifeq (,$(filter $(DEB_BUILD_ARCH),kfreebsd-amd64 kfreebsd-i386 hurd-i386))
    DISABLE_PTHREADS=OFF
else
    DISABLE_PTHREADS=ON
endif

override_dh_auto_configure:
	dh_testdir
	dh_auto_configure --builddirectory=build-static -- -DCMAKE_INSTALL_PREFIX=/usr \
				 -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
				 -DYAML_CPP_BUILD_TOOLS=ON \
				 -Dgtest_disable_pthreads=$(DISABLE_PTHREADS)
	dh_auto_configure --builddirectory=build-shared -- -DCMAKE_INSTALL_PREFIX=/usr \
				 -DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
				 -DYAML_BUILD_SHARED_LIBS=ON \
				 -DYAML_CPP_BUILD_TOOLS=ON \
				 -Dgtest_disable_pthreads=$(DISABLE_PTHREADS)

override_dh_auto_build:
	dh_testdir
	$(MAKE) -C build-static VERBOSE=1
	$(MAKE) -C build-shared VERBOSE=1
	# It might make sense to also provide the utils in a separate package
	# $(MAKE) -C build-shared util

override_dh_auto_install:
	dh_testdir
	dh_prep
	$(MAKE) -C build-static install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build-shared install DESTDIR=$(CURDIR)/debian/tmp

ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
override_dh_auto_test:
	$(MAKE) -C build-static test
	$(MAKE) -C build-shared test
endif

debian/weak-symbols: override_dh_auto_build
	# All the weak symbols are either template instantiations of the STL
	# or are optional symbols for inline functions.
	nm --dynamic --defined-only build-shared/libyaml-cpp.so | awk '$$2 ~ /W/ { print " " $$3 "@Base 0.6.2" } ' > $@

override_dh_makeshlibs: debian/weak-symbols
	dh_makeshlibs -VNone

clean:
	dh_testdir
	dh_auto_clean
	dh_clean
	rm -rf build-static build-shared

%:
	dh $@

.PHONY: clean

## yaml-cpp 0.7.0%2Bdfsg

=== debian/changelog ===
yaml-cpp (0.7.0+dfsg-8deepin0) unstable; urgency=medium

  * No source change upload against GCC 12.

 -- Tianyu Chen <sweetyfish@deepin.org>  Fri, 20 Sep 2024 12:59:02 +0800

yaml-cpp (0.7.0+dfsg-8) unstable; urgency=medium

  * Ack previous NMU, thanks!
  * Add patch from Jochen Sprickerhof to export YAML_CPP_LIBRARIES.
    (Closes: #999594)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 13 Nov 2021 21:48:59 +0100

yaml-cpp (0.7.0+dfsg-7.1) unstable; urgency=medium

  * Non-maintainer upload.
  * Fix the symbols file to properly declare libyaml-cpp0.7 as dependency,
    instead of libyaml-cpp.

 -- Pino Toscano <pino@debian.org>  Fri, 12 Nov 2021 07:50:10 +0100

yaml-cpp (0.7.0+dfsg-7) unstable; urgency=medium

  * Add R^3: no
  * Refresh symbols for sh4 and Ubuntu

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 11 Nov 2021 21:46:27 +0100

yaml-cpp (0.7.0+dfsg-6) unstable; urgency=medium

  * Remove Breaks/Replaces on libyaml-cpp0.6.
  * Upload to Sid.

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 11 Nov 2021 07:29:18 -0600

yaml-cpp (0.7.0+dfsg-5) experimental; urgency=medium

  * Another symbols update.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 26 Oct 2021 23:28:47 -0500

yaml-cpp (0.7.0+dfsg-4) experimental; urgency=medium

  * Add missing build dependencies.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 19 Oct 2021 06:45:05 -0500

yaml-cpp (0.7.0+dfsg-3) experimental; urgency=medium

  [ Simon Quigley ]
  * Fully update symbols from all architectures.

  [ Gianfranco Costamagna ]
  * Update the googletest patch with an approach that has been proposed
    upstream in: https://github.com/jbeder/yaml-cpp/pull/1035

 -- Simon Quigley <tsimonq2@debian.org>  Sun, 17 Oct 2021 05:55:45 -0500

yaml-cpp (0.7.0+dfsg-2) experimental; urgency=medium

  * Mark some symbols as optional.

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 13 Oct 2021 17:29:57 -0500

yaml-cpp (0.7.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
    - Remove reverse-applicable patches and refresh existing ones.
    - libyaml-cpp0.6 -> libyaml-cpp0.7.
  * Add patch from upstream PR #984 to fix building with the new version.
  * Disable inclusion of the googletest build output.
  * Use the archive googletest instead of an embedded copy.
  * Update Standards-version to 4.6.0, no changes needed.

 -- Simon Quigley <tsimonq2@debian.org>  Thu, 23 Sep 2021 06:31:17 -0500

yaml-cpp (0.6.3-10) unstable; urgency=medium

  * Mark symbols as optional not seen when building with lto.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 22 Mar 2021 22:04:27 +0100

yaml-cpp (0.6.3-9) unstable; urgency=medium

  * Fix pkg-config and cmake wrong files and paths. LP: #1880419

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 26 May 2020 17:56:33 +0200

yaml-cpp (0.6.3-8) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.

  [ Helmut Grohne ]
  * Fix FTCBFS: Don't build tests for DEB_BUILD_OPTIONS=nocheck.
    (Closes: #960167)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 14 May 2020 10:29:07 +0200

## yaml-cpp 0.7.0+dfsg

=== CMakeLists.txt ===
# 3.5 is actually available almost everywhere, but this a good minimum
cmake_minimum_required(VERSION 3.4)

# enable MSVC_RUNTIME_LIBRARY target property
# see https://cmake.org/cmake/help/latest/policy/CMP0091.html
if(POLICY CMP0091)
  cmake_policy(SET CMP0091 NEW)
endif()

project(YAML_CPP VERSION 0.7.0 LANGUAGES CXX)

include(CMakePackageConfigHelpers)
include(CMakeDependentOption)
include(CheckCXXCompilerFlag)
include(GNUInstallDirs)
include(CTest)

find_program(YAML_CPP_CLANG_FORMAT_EXE NAMES clang-format)

option(YAML_CPP_BUILD_CONTRIB "Enable yaml-cpp contrib in library" ON)
option(YAML_CPP_BUILD_TOOLS "Enable parse tools" ON)
option(YAML_BUILD_SHARED_LIBS "Build yaml-cpp shared library" ${BUILD_SHARED_LIBS})

cmake_dependent_option(YAML_CPP_BUILD_TESTS
  "Enable yaml-cpp tests" ON
  "BUILD_TESTING;CMAKE_SOURCE_DIR STREQUAL PROJECT_SOURCE_DIR" OFF)
cmake_dependent_option(YAML_CPP_INSTALL
  "Enable generation of yaml-cpp install targets" ON
  "CMAKE_SOURCE_DIR STREQUAL PROJECT_SOURCE_DIR" OFF)
cmake_dependent_option(YAML_MSVC_SHARED_RT
  "MSVC: Build yaml-cpp with shared runtime libs (/MD)" ON
  "MSVC" OFF)

set(yaml-cpp-type STATIC)
set(yaml-cpp-label-postfix "static")
if (YAML_BUILD_SHARED_LIBS)
  set(yaml-cpp-type SHARED)
  set(yaml-cpp-label-postfix "shared")
endif()

set(build-shared $<BOOL:${YAML_BUILD_SHARED_LIBS}>)
set(build-windows-dll $<AND:$<BOOL:${CMAKE_HOST_WIN32}>,${build-shared}>)
set(not-msvc $<NOT:$<CXX_COMPILER_ID:MSVC>>)
set(msvc-shared_rt $<BOOL:${YAML_MSVC_SHARED_RT}>)

if (NOT DEFINED CMAKE_MSVC_RUNTIME_LIBRARY)
  set(CMAKE_MSVC_RUNTIME_LIBRARY
    MultiThreaded$<$<CONFIG:Debug>:Debug>$<${msvc-shared_rt}:DLL>)
endif()

set(contrib-pattern "src/contrib/*.cpp")
set(src-pattern "src/*.cpp")
if (CMAKE_VERSION VERSION_GREATER 3.12)
  list(INSERT contrib-pattern 0 CONFIGURE_DEPENDS)
  list(INSERT src-pattern 0 CONFIGURE_DEPENDS)
endif()

file(GLOB yaml-cpp-contrib-sources ${contrib-pattern})
file(GLOB yaml-cpp-sources ${src-pattern})

set(msvc-rt $<TARGET_PROPERTY:MSVC_RUNTIME_LIBRARY>)

set(msvc-rt-mtd-static $<STREQUAL:${msvc-rt},MultiThreadedDebug>)
set(msvc-rt-mt-static $<STREQUAL:${msvc-rt},MultiThreaded>)

set(msvc-rt-mtd-dll $<STREQUAL:${msvc-rt},MultiThreadedDebugDLL>)
set(msvc-rt-mt-dll $<STREQUAL:${msvc-rt},MultiThreadedDLL>)

set(backport-msvc-runtime $<VERSION_LESS:${CMAKE_VERSION},3.15>)

add_library(yaml-cpp ${yaml-cpp-type} "")
add_library(yaml-cpp::yaml-cpp ALIAS yaml-cpp)

set_property(TARGET yaml-cpp
  PROPERTY
    MSVC_RUNTIME_LIBRARY ${CMAKE_MSVC_RUNTIME_LIBRARY})
set_property(TARGET yaml-cpp
  PROPERTY
    CXX_STANDARD_REQUIRED ON)

target_include_directories(yaml-cpp
  PUBLIC
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
    $<INSTALL_INTERFACE:${CMAKE_INSTALL_INCLUDEDIR}>
  PRIVATE
    $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/src>)

if (NOT DEFINED CMAKE_CXX_STANDARD)
  set_target_properties(yaml-cpp
    PROPERTIES
      CXX_STANDARD 11)
endif()

target_compile_options(yaml-cpp
  PRIVATE
    $<${not-msvc}:-Wall -Wextra -Wshadow -Weffc++ -Wno-long-long>
    $<${not-msvc}:-pedantic -pedantic-errors>

    $<$<AND:${backport-msvc-runtime},${msvc-rt-mtd-static}>:-MTd>
    $<$<AND:${backport-msvc-runtime},${msvc-rt-mt-static}>:-MT>
    $<$<AND:${backport-msvc-runtime},${msvc-rt-mtd-dll}>:-MDd>
    $<$<AND:${backport-msvc-runtime},${msvc-rt-mt-dll}>:-MD>

    # /wd4127 = disable warning C4127 "conditional expression is constant"
    # http://msdn.microsoft.com/en-us/library/6t66728h.aspx
    # /wd4355 = disable warning C4355 "'this' : used in base member initializer list
    # http://msdn.microsoft.com/en-us/library/3c594ae3.aspx
    $<$<CXX_COMPILER_ID:MSVC>:/W3 /wd4127 /wd4355>)

target_compile_definitions(yaml-cpp
  PRIVATE
    $<${build-windows-dll}:${PROJECT_NAME}_DLL>
    $<$<NOT:$<BOOL:${YAML_CPP_BUILD_CONTRIB}>>:YAML_CPP_NO_CONTRIB>)

target_sources(yaml-cpp
  PRIVATE
    $<$<BOOL:${YAML_CPP_BUILD_CONTRIB}>:${yaml-cpp-contrib-sources}>
    ${yaml-cpp-sources})

if (NOT DEFINED CMAKE_DEBUG_POSTFIX)
  set(CMAKE_DEBUG_POSTFIX "d")
endif()

set_target_properties(yaml-cpp PROPERTIES
  VERSION "${PROJECT_VERSION}"
  SOVERSION "${PROJECT_VERSION_MAJOR}.${PROJECT_VERSION_MINOR}"
  PROJECT_LABEL "yaml-cpp ${yaml-cpp-label-postfix}"
  DEBUG_POSTFIX "${CMAKE_DEBUG_POSTFIX}")

configure_package_config_file(
  "${PROJECT_SOURCE_DIR}/yaml-cpp-config.cmake.in"
  "${PROJECT_BINARY_DIR}/yaml-cpp-config.cmake"
  INSTALL_DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/yaml-cpp")

write_basic_package_version_file(
  "${PROJECT_BINARY_DIR}/yaml-cpp-config-version.cmake"
  COMPATIBILITY AnyNewerVersion)

configure_file(yaml-cpp.pc.in yaml-cpp.pc @ONLY)

if (YAML_CPP_INSTALL)
	install(TARGETS yaml-cpp
    EXPORT yaml-cpp-targets
    RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
    LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
    ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
	install(DIRECTORY ${PROJECT_SOURCE_DIR}/include/
    DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
		FILES_MATCHING PATTERN "*.h")
  install(EXPORT yaml-cpp-targets
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/yaml-cpp")
	install(FILES
		"${PROJECT_BINARY_DIR}/yaml-cpp-config.cmake"
		"${PROJECT_BINARY_DIR}/yaml-cpp-config-version.cmake"
    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/yaml-cpp")
  install(FILES "${PROJECT_BINARY_DIR}/yaml-cpp.pc"
    DESTINATION ${CMAKE_INSTALL_DATADIR}/pkgconfig)
endif()

if(YAML_CPP_BUILD_TESTS)
	add_subdirectory(test)
endif()

if(YAML_CPP_BUILD_TOOLS)
	add_subdirectory(util)
endif()

if (YAML_CPP_CLANG_FORMAT_EXE)
  add_custom_target(format
    COMMAND clang-format --style=file -i $<TARGET_PROPERTY:yaml-cpp,SOURCES>
    COMMAND_EXPAND_LISTS
    COMMENT "Running clang-format"
    VERBATIM)
endif()

=== test/CMakeLists.txt ===
find_package(Threads REQUIRED)

set(gtest_force_shared_crt ON CACHE BOOL "" FORCE)
set(BUILD_MOCK ON CACHE BOOL "" FORCE)
set(CMAKE_POLICY_DEFAULT_CMP0048 NEW)

add_subdirectory(
  "${CMAKE_CURRENT_SOURCE_DIR}/gtest-1.10.0"
  "${CMAKE_CURRENT_BINARY_DIR}/prefix")

include_directories(SYSTEM "${CMAKE_CURRENT_SOURCE_DIR}/gtest-1.10.0/googletest/include")

set(test-new-api-pattern "new-api/*.cpp")
set(test-source-pattern "*.cpp" "integration/*.cpp" "node/*.cpp")
if (CMAKE_VERSION VERSION_GREATER 3.11)
  list(INSERT test-new-api-pattern 0 CONFIGURE_DEPENDS)
  list(INSERT test-source-pattern 0 CONFIGURE_DEPENDS)
endif()

file(GLOB test-new-api-sources ${test-new-api-pattern})
file(GLOB test-sources ${test-source-pattern})

add_executable(yaml-cpp-tests "")
target_sources(yaml-cpp-tests
  PRIVATE
    ${test-new-api-sources}
    ${test-sources})
target_include_directories(yaml-cpp-tests
  PRIVATE
    ${CMAKE_CURRENT_SOURCE_DIR}/integration
    ${CMAKE_CURRENT_SOURCE_DIR}
    ${PROJECT_SOURCE_DIR}/src)
target_compile_options(yaml-cpp-tests
  PRIVATE
    $<$<CXX_COMPILER_ID:Clang>:-Wno-c99-extensions -Wno-variadic-macros -Wno-sign-compare>
    $<$<CXX_COMPILER_ID:GNU>:-Wno-variadic-macros -Wno-sign-compare>)
target_link_libraries(yaml-cpp-tests
  PRIVATE
    Threads::Threads
    yaml-cpp
    gmock)

set_property(TARGET yaml-cpp-tests PROPERTY CXX_STANDARD_REQUIRED ON)
if (NOT DEFINED CMAKE_CXX_STANDARD)
  set_target_properties(yaml-cpp-tests PROPERTIES CXX_STANDARD 11)
endif()


add_test(yaml-cpp::test yaml-cpp-tests)

=== debian/control ===
--- 
+++ 
@@ -1,15 +1,21 @@
 Source: yaml-cpp
-Maintainer: Simon Quigley <tsimonq2@debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Simon Quigley <tsimonq2@debian.org>
 Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
 Section: devel
 Priority: optional
-Build-Depends: cmake, debhelper-compat (= 13)
-Standards-Version: 4.5.0
+Build-Depends: cmake,
+               debhelper-compat (= 13),
+               googletest (>= 1.10.0),
+               libgmock-dev (>= 1.10.0),
+               libgtest-dev (>= 1.10.0)
+Standards-Version: 4.6.0
+Rules-Requires-Root: no
 Vcs-Browser: https://salsa.debian.org/debian/yaml-cpp
 Vcs-Git: https://salsa.debian.org/debian/yaml-cpp.git
 Homepage: https://github.com/jbeder/yaml-cpp
 
-Package: libyaml-cpp0.6
+Package: libyaml-cpp0.7
 Architecture: any
 Multi-Arch: same
 Section: libs
@@ -24,7 +30,7 @@
 Package: libyaml-cpp-dev
 Architecture: any
 Section: libdevel
-Depends: libyaml-cpp0.6 (= ${binary:Version}), ${misc:Depends}
+Depends: libyaml-cpp0.7 (= ${binary:Version}), ${misc:Depends}
 Description: YAML parser and emitter for C++ - development files
  yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
  human-readable data serialization format.

=== debian/watch ===
version=4

opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,repacksuffix=+dfsg \
    https://github.com/jbeder/yaml-cpp/releases .*/[relasymcp.-]*(\d\S*)\.tar\.gz

## yaml-cpp 0.8.0+dfsg

=== debian/changelog ===
yaml-cpp (0.8.0+dfsg-9) unstable; urgency=medium

  * Cherry-pick 3 fixes for cmake from upstream
    - 1211.patch
    - 1171.patch
    - 1351.patch

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Oct 2025 17:35:05 +0200

yaml-cpp (0.8.0+dfsg-8) unstable; urgency=medium

  * debian/patches/c9371de7836d113c0b14bfa15ca70f00ebb3ac6f.patch:
    - cherry-pick upstream fix for cmake 4 (Closes: #1113653)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 03 Oct 2025 17:23:25 +0200

yaml-cpp (0.8.0+dfsg-7) unstable; urgency=medium

  * Run wrap-and-sort.
  * Update Standards-Version to 4.7.0, no changes needed.
  * Add my name to the packaging copyright.

 -- Simon Quigley <tsimonq2@debian.org>  Tue, 18 Feb 2025 15:10:35 -0600

yaml-cpp (0.8.0+dfsg-6) unstable; urgency=medium

  * Fix hurd build

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Oct 2023 17:58:47 +0200

yaml-cpp (0.8.0+dfsg-5) unstable; urgency=medium

  * Revert "Update symbols from build logs."
    - this update FTBFS (Closes: #1054153)
  * Use upstream merged patch to use system googletest version
  * Switch to gnu++20, to avoid gnu++11 being used as default (and
    not being compatible with system gtest)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 23 Oct 2023 09:06:26 +0200

yaml-cpp (0.8.0+dfsg-4) unstable; urgency=medium

  * Update symbols from build logs.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 09 Oct 2023 10:43:08 -0500

yaml-cpp (0.8.0+dfsg-3) unstable; urgency=medium

  * Upload to unstable

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 23 Aug 2023 20:08:28 +0200

yaml-cpp (0.8.0+dfsg-2) experimental; urgency=medium

  * Add simple .gitlab-ci.yml to have CI/CD
  * Add proposed upstream patch to fix testsuite on newer glibc/gcc

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 22 Aug 2023 09:42:49 +0200

yaml-cpp (0.8.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update soname
  * Drop all patches except for googletest one
  * Update copyright file
  * Update std-version to 4.6.2
  * Fix nocheck build profile
  * Update clean target to remove build directories
  * Drop mipsel hack in rules file
  * Mark the package as M-A
  [ Emrah Ayanoglu ]
  * Update watch file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 18 Aug 2023 19:22:16 +0200

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

# This has to be exported to make some magic below work.
export DH_OPTIONS

include /usr/share/dpkg/architecture.mk

CPPFLAGS :=$(shell dpkg-buildflags --get CPPFLAGS)
CFLAGS   :=$(shell dpkg-buildflags --get CFLAGS)
CXXFLAGS :=$(shell dpkg-buildflags --get CXXFLAGS)
LDFLAGS  :=$(shell dpkg-buildflags --get LDFLAGS)

export DEB_HOST_MULTIARCH CPPFLAGS CFLAGS CXXFLAGS LDFLAGS

COMMON_CMAKE_FLAGS = \
	-DCMAKE_INSTALL_PREFIX=/usr \
	-DLIB_INSTALL_DIR=/usr/lib/$(DEB_HOST_MULTIARCH) \
	-DCMAKE_CXX_STANDARD=20 \
	-DYAML_USE_SYSTEM_GTEST=ON \
	-DYAML_CPP_BUILD_TOOLS=ON \
	-DYAML_CPP_BUILD_TESTS=$(if $(filter nocheck,$(DEB_BUILD_OPTIONS)),OFF,ON) \
	-Dgtest_disable_pthreads=$(if $(filter $(DEB_HOST_ARCH_OS),kfreebsd hurd),ON,OFF) \
    -DINSTALL_GTEST=OFF

override_dh_auto_configure:
	dh_testdir
	dh_auto_configure --builddirectory=build-static -- $(COMMON_CMAKE_FLAGS)
	dh_auto_configure --builddirectory=build-shared -- $(COMMON_CMAKE_FLAGS) \
				 -DYAML_BUILD_SHARED_LIBS=ON

override_dh_auto_build:
	dh_testdir
	$(MAKE) -C build-static VERBOSE=1
	$(MAKE) -C build-shared VERBOSE=1
	# It might make sense to also provide the utils in a separate package
	# $(MAKE) -C build-shared util

override_dh_auto_install:
	dh_testdir
	dh_prep
	$(MAKE) -C build-static install DESTDIR=$(CURDIR)/debian/tmp
	$(MAKE) -C build-shared install DESTDIR=$(CURDIR)/debian/tmp

override_dh_auto_test:
ifeq ($(filter nocheck,$(DEB_BUILD_OPTIONS)),)
	$(MAKE) -C build-static test
	$(MAKE) -C build-shared test
endif

debian/weak-symbols: override_dh_auto_build
	# All the weak symbols are either template instantiations of the STL
	# or are optional symbols for inline functions.
	nm --dynamic --defined-only build-shared/libyaml-cpp.so | awk '$$2 ~ /W/ { print " " $$3 "@Base 0.8.0" } ' > $@

override_dh_makeshlibs: debian/weak-symbols
	dh_makeshlibs -VNone

clean:
	dh_testdir
	dh_auto_clean
	dh_clean
	rm -rf build-static build-shared

%:
	dh $@

.PHONY: clean

=== debian/watch ===
version=4

opts=dversionmangle=s/\+(debian|dfsg|ds|deb)(\.?\d+)?$//,repacksuffix=+dfsg \
    https://github.com/jbeder/yaml-cpp/tags .*/[relasymcp.-]*(\d\S*)\.tar\.gz

## yaml-cpp 0.9.0+dfsg

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,5 +1,6 @@
-# 3.5 is actually available almost everywhere, but this a good minimum
-cmake_minimum_required(VERSION 3.4)
+# 3.5 is actually available almost everywhere.
+# 3.30 as the upper policy limit avoids CMake deprecation warnings.
+cmake_minimum_required(VERSION 3.5...3.30)
 
 # enable MSVC_RUNTIME_LIBRARY target property
 # see https://cmake.org/cmake/help/latest/policy/CMP0091.html
@@ -7,7 +8,12 @@
   cmake_policy(SET CMP0091 NEW)
 endif()
 
-project(YAML_CPP VERSION 0.7.0 LANGUAGES CXX)
+project(YAML_CPP VERSION 0.9.0 LANGUAGES CXX)
+
+set(YAML_CPP_MAIN_PROJECT OFF)
+if(CMAKE_SOURCE_DIR STREQUAL PROJECT_SOURCE_DIR)
+  set(YAML_CPP_MAIN_PROJECT ON)
+endif()
 
 include(CMakePackageConfigHelpers)
 include(CMakeDependentOption)
@@ -15,27 +21,34 @@
 include(GNUInstallDirs)
 include(CTest)
 
-find_program(YAML_CPP_CLANG_FORMAT_EXE NAMES clang-format)
-
 option(YAML_CPP_BUILD_CONTRIB "Enable yaml-cpp contrib in library" ON)
 option(YAML_CPP_BUILD_TOOLS "Enable parse tools" ON)
 option(YAML_BUILD_SHARED_LIBS "Build yaml-cpp shared library" ${BUILD_SHARED_LIBS})
+option(YAML_CPP_INSTALL "Enable generation of yaml-cpp install targets" ${YAML_CPP_MAIN_PROJECT})
+option(YAML_CPP_FORMAT_SOURCE "Format source" ${YAML_CPP_MAIN_PROJECT})
+option(YAML_CPP_DISABLE_UNINSTALL  "Disable uninstallation of yaml-cpp" OFF)
+option(YAML_USE_SYSTEM_GTEST "Use system googletest if found" OFF)
+option(YAML_ENABLE_PIC "Use Position-Independent Code " ON)
 
 cmake_dependent_option(YAML_CPP_BUILD_TESTS
-  "Enable yaml-cpp tests" ON
-  "BUILD_TESTING;CMAKE_SOURCE_DIR STREQUAL PROJECT_SOURCE_DIR" OFF)
-cmake_dependent_option(YAML_CPP_INSTALL
-  "Enable generation of yaml-cpp install targets" ON
-  "CMAKE_SOURCE_DIR STREQUAL PROJECT_SOURCE_DIR" OFF)
+  "Enable yaml-cpp tests" OFF
+  "BUILD_TESTING;YAML_CPP_MAIN_PROJECT" OFF)
 cmake_dependent_option(YAML_MSVC_SHARED_RT
   "MSVC: Build yaml-cpp with shared runtime libs (/MD)" ON
-  "MSVC" OFF)
-
-set(yaml-cpp-type STATIC)
-set(yaml-cpp-label-postfix "static")
+  "CMAKE_SYSTEM_NAME MATCHES Windows" OFF)
+set(YAML_CPP_INSTALL_CMAKEDIR "${CMAKE_INSTALL_LIBDIR}/cmake/yaml-cpp"
+  CACHE STRING "Path to install the CMake package to")
+ 
+if (YAML_CPP_FORMAT_SOURCE)
+    find_program(YAML_CPP_CLANG_FORMAT_EXE NAMES clang-format)
+endif()
+
 if (YAML_BUILD_SHARED_LIBS)
   set(yaml-cpp-type SHARED)
   set(yaml-cpp-label-postfix "shared")
+else()
+  set(yaml-cpp-type STATIC)
+  set(yaml-cpp-label-postfix "static")
 endif()
 
 set(build-shared $<BOOL:${YAML_BUILD_SHARED_LIBS}>)
@@ -78,6 +91,10 @@
   PROPERTY
     CXX_STANDARD_REQUIRED ON)
 
+if (NOT YAML_BUILD_SHARED_LIBS)
+      set_property(TARGET yaml-cpp PROPERTY POSITION_INDEPENDENT_CODE ${YAML_ENABLE_PIC})
+endif()
+
 target_include_directories(yaml-cpp
   PUBLIC
     $<BUILD_INTERFACE:${PROJECT_SOURCE_DIR}/include>
@@ -91,11 +108,15 @@
       CXX_STANDARD 11)
 endif()
 
+if(YAML_CPP_MAIN_PROJECT)
+  target_compile_options(yaml-cpp
+    PRIVATE
+      $<${not-msvc}:-Wall -Wextra -Wshadow -Weffc++ -Wno-long-long>
+      $<${not-msvc}:-pedantic -pedantic-errors>)
+endif()
+
 target_compile_options(yaml-cpp
   PRIVATE
-    $<${not-msvc}:-Wall -Wextra -Wshadow -Weffc++ -Wno-long-long>
-    $<${not-msvc}:-pedantic -pedantic-errors>
-
     $<$<AND:${backport-msvc-runtime},${msvc-rt-mtd-static}>:-MTd>
     $<$<AND:${backport-msvc-runtime},${msvc-rt-mt-static}>:-MT>
     $<$<AND:${backport-msvc-runtime},${msvc-rt-mtd-dll}>:-MDd>
@@ -108,6 +129,8 @@
     $<$<CXX_COMPILER_ID:MSVC>:/W3 /wd4127 /wd4355>)
 
 target_compile_definitions(yaml-cpp
+  PUBLIC
+    $<$<NOT:$<BOOL:${YAML_BUILD_SHARED_LIBS}>>:YAML_CPP_STATIC_DEFINE>
   PRIVATE
     $<${build-windows-dll}:${PROJECT_NAME}_DLL>
     $<$<NOT:$<BOOL:${YAML_CPP_BUILD_CONTRIB}>>:YAML_CPP_NO_CONTRIB>)
@@ -127,10 +150,13 @@
   PROJECT_LABEL "yaml-cpp ${yaml-cpp-label-postfix}"
   DEBUG_POSTFIX "${CMAKE_DEBUG_POSTFIX}")
 
+set(EXPORT_TARGETS yaml-cpp::yaml-cpp)
 configure_package_config_file(
   "${PROJECT_SOURCE_DIR}/yaml-cpp-config.cmake.in"
   "${PROJECT_BINARY_DIR}/yaml-cpp-config.cmake"
-  INSTALL_DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/yaml-cpp")
+  INSTALL_DESTINATION "${YAML_CPP_INSTALL_CMAKEDIR}"
+  PATH_VARS CMAKE_INSTALL_INCLUDEDIR CMAKE_INSTALL_LIBDIR)
+unset(EXPORT_TARGETS)
 
 write_basic_package_version_file(
   "${PROJECT_BINARY_DIR}/yaml-cpp-config-version.cmake"
@@ -139,36 +165,49 @@
 configure_file(yaml-cpp.pc.in yaml-cpp.pc @ONLY)
 
 if (YAML_CPP_INSTALL)
-	install(TARGETS yaml-cpp
+  install(TARGETS yaml-cpp
     EXPORT yaml-cpp-targets
     RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR}
     LIBRARY DESTINATION ${CMAKE_INSTALL_LIBDIR}
     ARCHIVE DESTINATION ${CMAKE_INSTALL_LIBDIR})
-	install(DIRECTORY ${PROJECT_SOURCE_DIR}/include/
+  install(DIRECTORY ${PROJECT_SOURCE_DIR}/include/
     DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}
-		FILES_MATCHING PATTERN "*.h")
+                FILES_MATCHING PATTERN "*.h")
   install(EXPORT yaml-cpp-targets
-    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/yaml-cpp")
-	install(FILES
-		"${PROJECT_BINARY_DIR}/yaml-cpp-config.cmake"
-		"${PROJECT_BINARY_DIR}/yaml-cpp-config-version.cmake"
-    DESTINATION "${CMAKE_INSTALL_DATADIR}/cmake/yaml-cpp")
+    NAMESPACE yaml-cpp::
+    DESTINATION "${YAML_CPP_INSTALL_CMAKEDIR}")
+  install(FILES
+      "${PROJECT_BINARY_DIR}/yaml-cpp-config.cmake"
+      "${PROJECT_BINARY_DIR}/yaml-cpp-config-version.cmake"
+    DESTINATION "${YAML_CPP_INSTALL_CMAKEDIR}")
   install(FILES "${PROJECT_BINARY_DIR}/yaml-cpp.pc"
-    DESTINATION ${CMAKE_INSTALL_DATADIR}/pkgconfig)
+    DESTINATION ${CMAKE_INSTALL_LIBDIR}/pkgconfig)
 endif()
 
 if(YAML_CPP_BUILD_TESTS)
-	add_subdirectory(test)
+  add_subdirectory(test)
 endif()
 
 if(YAML_CPP_BUILD_TOOLS)
-	add_subdirectory(util)
-endif()
-
-if (YAML_CPP_CLANG_FORMAT_EXE)
+  add_subdirectory(util)
+endif()
+
+if (YAML_CPP_FORMAT_SOURCE AND YAML_CPP_CLANG_FORMAT_EXE)
   add_custom_target(format
     COMMAND clang-format --style=file -i $<TARGET_PROPERTY:yaml-cpp,SOURCES>
     COMMAND_EXPAND_LISTS
     COMMENT "Running clang-format"
+    WORKING_DIRECTORY "${PROJECT_SOURCE_DIR}"
     VERBATIM)
 endif()
+
+# uninstall target
+if(YAML_CPP_INSTALL AND NOT YAML_CPP_DISABLE_UNINSTALL AND NOT TARGET uninstall)
+  configure_file(
+    "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
+    "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
+    IMMEDIATE @ONLY)
+
+  add_custom_target(uninstall
+    COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
+endif()

=== debian/changelog ===
yaml-cpp (0.9.0+dfsg-2) experimental; urgency=medium

  [ Gianfranco Costamanga ]
  * Add untested upstream patch to fix 32 bit test failures

 -- Simon Quigley <tsimonq2@debian.org>  Wed, 18 Feb 2026 12:52:43 -0600

yaml-cpp (0.9.0+dfsg-1) experimental; urgency=medium

  * New upstream release.
  * Update Standards-Version to 4.7.3.
  * Remove patches, they are all reverse-applicable.
  * Rename libyaml-cpp0.8 -> libyaml-cpp0.9.
  * Update Files-Excluded to googletest-1.13.0.
  * Update symbols from amd64 build log.

 -- Simon Quigley <tsimonq2@debian.org>  Mon, 16 Feb 2026 10:31:17 -0600

=== debian/control ===
Source: yaml-cpp
Maintainer: Simon Quigley <tsimonq2@debian.org>
Uploaders: Gianfranco Costamagna <locutusofborg@debian.org>
Section: devel
Build-Depends: debhelper-compat (= 13),
               cmake,
               googletest (>= 1.10.0),
               libgmock-dev (>= 1.10.0),
               libgtest-dev (>= 1.10.0)
Standards-Version: 4.7.3
Rules-Requires-Root: no
Vcs-Browser: https://salsa.debian.org/debian/yaml-cpp
Vcs-Git: https://salsa.debian.org/debian/yaml-cpp.git
Homepage: https://github.com/jbeder/yaml-cpp

Package: libyaml-cpp0.9
Architecture: any
Multi-Arch: same
Section: libs
Depends: ${misc:Depends}, ${shlibs:Depends}
Pre-Depends: ${misc:Pre-Depends}
Description: YAML parser and emitter for C++
 yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
 human-readable data serialization format.
 .
 This package provides run-time library of yaml-cpp.

Package: libyaml-cpp-dev
Architecture: any
Section: libdevel
Depends: libyaml-cpp0.9 (= ${binary:Version}), ${misc:Depends}
Multi-Arch: same
Description: YAML parser and emitter for C++ - development files
 yaml-cpp is a C++ library for parsing and emitting data in YAML 1.2, a
 human-readable data serialization format.
 .
 This package provides development files of yaml-cpp.
